Add Datasets Endpoint
POST
/catalog/collections/{collection_id}/datasets/
const url = 'https://example.com/catalog/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datasets/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"dataset_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/catalog/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datasets/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "dataset_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Add datasets to a collection. Collection owner or admin only.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” collection_id
required
Collection Id
string format: uuid
Request Body required
Section titled “ Request Body required ” Media type application/json
CollectionAddDatasetsRequest
object
dataset_ids
required
Dataset Ids
Dataset IDs to add to the collection (1-100)
Array<string>
Example generated
{ "dataset_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Responses
Section titled “ Responses ”Successful Response
Media type application/json
AddDatasetsResponse
object
added
required
Added
integer
Example generated
{ "added": 1}Bad request — invalid payload
Media type application/problem+json
Unauthorized — missing or invalid credentials
Media type application/problem+json
Forbidden — caller lacks write access
Media type application/problem+json
Not found
Media type application/problem+json
Conflict — resource state prevents the operation
Media type application/problem+json
Validation error
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “ Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json